import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 查询零件未编制（包含借用件）
export function getPartnames3(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_编制工艺_按人员机床组号或图号查',
      param: '工艺人员编号=' + num1 + '&机床组号或图号=' + num2
    }
  })
}
// 查询零件已编制（包含借用件）
export function getPartnames4(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_查询已完成工艺制定零件_按人员机床组号或图号查',
      param: '工艺人员编号=' + num1 + '&机床组号或图号=' + num2
    }
  })
}
// 典艺查询<高精原有数据>
export function searchProcess11(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_原零件工艺查询_MESWORK',
      param: '零件图号=' + num
    }
  })
}
// 典艺查询<高精原有数据>
export function numChange(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_原零件工艺明细查询_MESWORK',
      param: '典艺流水号=' + num
    }
  })
}
// 保存主表工艺
export function selectRequest(num0, num1, num2, num3, request0) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_根据工序流水号和工艺计划流水号',
      param: '工序流水号=' + num0 + '&工艺计划流水号=' + num1 + '&工艺编号=' + num2 + '&工艺顺序=' + num3 + '&工艺要求=' + request0
    }
  })
}
// 初始化 工艺员A
export function initCraftmen() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=20'
    }
  })
}
// 查询 未编制 零件号
export function getPartnames1(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_编制工艺_按人员查',
      param: '工艺人员编号=' + num1 + '&零件图号=' + num2
    }
  })
}
// 初始化 已编制 零件号
export function getPartnames2(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_查询已完成工艺制定零件',
      param: '工艺人员编号=' + num1 + '&零件图号=' + num2
    }
  })
}
// 零件详细信息
export function detailInfo(serialNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_查已投产零件信息',
      param: '工艺计划流水号=' + serialNum + '=int'
    }
  })
}
// 初始化材质
export function getMaterial(pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_材质表_查询数据',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 根据材质名称查材质
export function searchMaterial(pageCurrent, pageSize, name) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_材质表_查询数据_根据材料名称',
      param: '材料名称=' + name,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 典型工艺选择零件分类A
export function typicalProcess() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_典型工艺名称_分类_查询数据'
    }
  })
}
// 典型工艺选择零件名称、工艺号、备注
export function FcK(serialNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_典型工艺名称_查询数据_查典型工艺名称',
      param: '典型工艺名称分类流水号=' + serialNum + '=int'
    }
  })
}
// 典型工艺查询
export function searchProcess(check1, a, check2, b, check3, c) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_典型工艺名称_查询数据_综合查询',
      param: '典型工艺名称分类流水号_check=' + check1 + '=bit&典型工艺名称分类流水号=' + a + '=int&典型工艺流水号_check=' + check2 + '=bit&典型工艺流水号=' + b + '=int&典型工艺流水号1_check=' + check3 + '=bit&典型工艺流水号1=' + c + '=int'
    }
  })
}
// 初始化工艺名称
export function processNameClick() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_工艺分类名称_查询数据_零件工艺制定专用'
    }
  })
}
// 工艺名称查询
export function processNameSelect(val) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_工艺名称_查询数据',
      param: '工艺分类流水号_check=1=bit&工艺分类流水号=' + val + '=int'
    }
  })
}
// 工艺要求查询
export function processRequestSelect(val) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理_基础表_工艺要求_查询数据',
      param: '工艺编号=' + val + '=int'
    }
  })
}
// 初始化公差A
export function initTolerance() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_公差对照表_查询数据'
    }
  })
}
// 公差查询
export function searchTolerance(val1, val2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_公差对照表_公差_查询数据',
      param: '输入数值=' + val1 + '&参数=' + val2
    }
  })
}
// 工艺定额人员查询
export function initPerson() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=9'
    }
  })
}
// 完艺工艺查询
export function searchWYgongyi(check1, tuhao, check2, bianhao, check3, start, end, check4, name) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_查询数据_根据零件图号查询已投产的工艺计划流水号',
      param: '零件图号_check=' + check1 + '&零件图号=' + tuhao + '&工艺员编号_check=' + check2 + '&工艺员编号=' + bianhao + '&工艺时间_check=' + check3 + '&工艺开始时间=' + start + '=datetime&工艺结束时间=' + end + '=datetime&零件名称_check=' + check4 + '&零件名称=' + name
    }
  })
}
// 完艺工艺要求查询
export function gongyiYQ(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_查询数据',
      param: '工艺计划流水号=' + num
    }
  })
}
// 完艺工艺拷贝
export function gongyiCopy(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工序_工艺拷贝_工艺计划流水号',
      param: '工艺计划流水号_完成工艺=' + num1 + '=int&工艺计划流水号_被拷工艺=' + num2 + '=int'
    }
  })
}
// 主界面选择零件号查主表
export function mainTable(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工序_查询工序信息',
      param: '工艺计划流水号=' + num + '=int'
    }
  })
}
// 主界面主表难度等级修改
export function hardEdit(num, hard) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_工艺难度等级',
      param: '工序流水号=' + num + '=int&工艺难度等级=' + hard
    }
  })
}
// 主界面主表工艺要求修改
export function requestEdit(num, request0) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_工艺要求_根据工序流水号',
      param: '工序流水号=' + num + '=int&工艺要求=' + request0
    }
  })
}
// 主界面主表插入功能
export function insertOne(num0, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_工艺计划流水号和工序流水号',
      param: '工艺计划流水号=' + num0 + '=int&工序流水号=' + num1 + '=int'
    }
  })
}
// 主界面主表删除功能
export function deleteOne(num0, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_删除数据_工序流水号',
      param: '工艺计划流水号=' + num0 + '=int&工序流水号=' + num1 + '=int'
    }
  })
}
// 主界面主表上移功能
export function upOne(num0, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_上移工序',
      param: '工艺计划流水号=' + num0 + '=int&工序流水号=' + num1 + '=int'
    }
  })
}
// 主界面主表下移功能
export function downOne(num0, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_下移工序',
      param: '工艺计划流水号=' + num0 + '=int&工序流水号=' + num1 + '=int'
    }
  })
}
// 保存变更材质
export function saveMaterial(num0, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_修改零件材料',
      param: '工艺计划流水号=' + num0 + '&材料流水号=' + num1
    }
  })
}
// 核准保存
export function saveApprove(num0, num1, request0, spec, num2, outhelp, num3, num4, weight, area, num5, level) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_增加数据_同时修改工艺计划',
      param: '工艺计划流水号=' + num0 + '&工艺编号=' + num1 + '&工艺要求=' + request0 + '&原材料规格=' + spec + '&工序顺序=' + num2 + '&工序间是否外协=' + outhelp + '&工序流水号=' + num3 + '&材料流水号=' + num4 + '&重量=' + weight + '&面积=' + area + '&工艺人员编号=' + num5 + '&工艺难度等级=' + level
    }
  })
}

// 粘贴
export function pasteTable(oldNum, newNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_拷贝零件工艺',
      param: '工艺计划流水号旧=' + oldNum + '&工艺计划流水号新=' + newNum
    }
  })
}
// 删除
export function deleteTable(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_删除零件工艺',
      param: '工艺计划流水号=' + num
    }
  })
}
// 在制零件工艺修改
export function returnEdit(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_在制零件工艺调整_修改工艺',
      param: '工艺计划流水号=' + num
    }
  })
}
// 查询工艺记录
export function searchRecord(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_在制零件工艺调整_查询工艺',
      param: '工艺计划流水号=' + num
    }
  })
}
// 重量拷贝
export function WeightCopy(num, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_重量拷贝_工艺计划流水号',
      param: '工艺计划流水号=' + num + '&重量信息=' + num2
    }
  })
}
// 保存变更材质
export function saveWeight(num0, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_修改零件重量',
      param: '工艺计划流水号=' + num0 + '&重量=' + num1
    }
  })
}
// 单件工时改变
export function singleChange(val1, val2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_单件准结定额_修改数据',
      param: '工序流水号=' + val1 + '&单件定额工时=' + val2
    }
  })
}
// 准结工时改变
export function readyChange(val1, val2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_单件准结定额_修改数据',
      param: '工序流水号=' + val1 + '&准结定额工时=' + val2
    }
  })
}
// 未编制定额保存
export function TableAddLi1(a, b) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_定额任务分配_保存数据',
      param: '工艺计划流水号=' + a + '=string&人员编号=' + b + '=string'
    }
  })
}
// 已编制定额保存
export function TableAddLi(a, b, c, num0, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_增加数据_修改数据',
      param: '单件定额工时=' + a + '=string&准结定额工时=' + b + '=string&零件图号=' + c + '=string&工序流水号=' + num0 + '=int&工艺计划流水号=' + num1 + '=int'
    }
  })
}
// 修改备注
export function modifyRemark(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_工艺修改记录_增加数据',
      param: `修改人员编号=${params[0]}&修改备注=${params[1]}&工艺计划流水号=${params[2]}`
    }
  })
}
